/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

#include "Message.h"
#include "MessageId.h"
#include "Authentication.h"
#include "Producer.h"
#include "Consumer.h"
#include "Client.h"
#include "Reader.h"
#include <napi.h>

Napi::Object InitAll(Napi::Env env, Napi::Object exports) {
  Message::Init(env, exports);
  MessageId::Init(env, exports);
  Authentication::Init(env, exports);
  Producer::Init(env, exports);
  Consumer::Init(env, exports);
  Reader::Init(env, exports);
  return Client::Init(env, exports);
}

NODE_API_MODULE(NODE_GYP_MODULE_NAME, InitAll)
